# Generated by Django 3.2 on 2023-10-16 08:16

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0017_datasosial'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataPerikanan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jenisinput', models.CharField(default='KUB', max_length=500)),
                ('jml_rt_nelayan', models.IntegerField(null=True)),
                ('jml_kartu_nelayan', models.IntegerField(null=True)),
                ('jml_rtp', models.IntegerField(null=True)),
                ('kub', models.TextField(null=True)),
                ('nama_ketua', models.TextField(null=True)),
                ('bantuan', models.TextField(null=True)),
                ('sk_kub', models.TextField(null=True)),
                ('nama_budidaya', models.TextField(null=True)),
                ('jenis_komoditi', models.TextField(null=True)),
                ('bantuan_budidaya', models.TextField(null=True)),
                ('pelatihan', models.TextField(null=True)),
                ('foto_kub', models.ImageField(null=True, upload_to='profile/images/perikanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_budidaya', models.ImageField(null=True, upload_to='profile/images/perikanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
